
-- | Run all the tests
{-# LANGUAGE CPP #-}
module Data.Generics.Fixplate.Tests where
  
--------------------------------------------------------------------------------
  
import Data.Generics.Fixplate.Base
import Data.Generics.Fixplate.Traversals
import Data.Generics.Fixplate.Morphisms
import Data.Generics.Fixplate.Attributes
import Data.Generics.Fixplate.Zipper
import Data.Generics.Fixplate.Trie

import Data.Generics.Fixplate.Test.Tools
import Data.Generics.Fixplate.Test.Instances

import Test.QuickCheck

#ifdef WITH_UTILITY_MODULES
import Data.Generics.Fixplate.Util.Hash.Table
#endif

--------------------------------------------------------------------------------

run_all_tests :: IO ()
run_all_tests = do
  putStrLn "tests for instances..."       ; runtests_InstancesMisc
  putStrLn "tests for Read/Show..."       ; runtests_ReadShow
  putStrLn "tests for Attrib wrapper..."  ; runtests_Attrib
  putStrLn "tests for traversals..."      ; runtests_Traversals
  putStrLn "tests for Attributes..."      ; runtests_Attributes
  putStrLn "tests for zippers..."         ; runtests_Zipper
  putStrLn "tests for morphisms..."       ; runtests_Morphisms
  putStrLn "tests for tries..."           ; runtests_Trie
#ifdef WITH_UTILITY_MODULES
  putStrLn "tests for hash tables..."     ; runtests_HashTable
#endif

--------------------------------------------------------------------------------
